> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# list-connectors

> List connectors available to the workspace — auth and API specs that integrations are built on.



## OpenAPI

````yaml /api-reference/membrane-api.json get /connectors
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connectors:
    get:
      summary: list-connectors
      description: >-
        List connectors available to the workspace — auth and API specs that
        integrations are built on.
      operationId: listConnectors
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: number
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: appUuid
          in: query
          required: false
          schema:
            type: string
        - name: externalAppId
          in: query
          required: false
          schema:
            type: string
        - name: includeArchived
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: >-
            List connectors available to the workspace — auth and API specs that
            integrations are built on.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        key:
                          type: string
                        name:
                          type: string
                        isReadOnly:
                          type: boolean
                      additionalProperties: {}
                  cursor:
                    type: string
                required:
                  - items
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````